Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.chat.client
Interface RemoteStrategy

All Known Implementing Classes:
  RemoteStrategyRemoting

    public interface RemoteStrategy

Method Summary
`ChatServer` | `createChat(java.lang.String description, ChatMember owner, TalkFrame talkFrame, ReadWriteArrayList outgoingLines)`
`ChatServer` | `join(java.lang.String key, ChatMember newMember, TalkFrame talkFrame, ReadWriteArrayList outgoingLines)`
`java.util.ArrayList` | `list()`
`void` | `setShuttingDown()`

Method Detail

### list

    java.util.ArrayList list()
                             throws RemoteConnectionException,
                                    ShuttingDownException

  Throws:
    `RemoteConnectionException`
    `ShuttingDownException`

### createChat

    ChatServer createChat(java.lang.String description,
                          ChatMember owner,
                          TalkFrame talkFrame,
                          ReadWriteArrayList outgoingLines)
                          throws NameInUseException,
                                 RemoteConnectionException,
                                 ShuttingDownException

  Throws:
    `NameInUseException`
    `RemoteConnectionException`
    `ShuttingDownException`

### join

    ChatServer join(java.lang.String key,
                    ChatMember newMember,
                    TalkFrame talkFrame,
                    ReadWriteArrayList outgoingLines)
                    throws NameInUseException,
                           RemoteConnectionException,
                           ShuttingDownException

  Throws:
    `NameInUseException`
    `RemoteConnectionException`
    `ShuttingDownException`

### setShuttingDown

    void setShuttingDown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.